
################  C672x TI compiler and options ##########################
ti_c67_debug_CC=cl6x
ti_c67_debug_CC_OPTS= -v -pdr -pdv -q -g -o0 -ml -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR)
ti_c67_debug_ASM=cl6x
ti_c67_debug_ASM_OPTS= -q -g -o0 -ml -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -mv6700 
ti_c67_debug_AR= ar6x
ti_c67_debug_AR_OPTS= r 
ti_c67_debug_LNK= lnk6x
ti_c67_debug_LNK_OPTS= -q -c -heap1000 -stack1000 -w -x

ti_c67_release_CC=cl6x
ti_c67_release_CC_OPTS=  -ml -pdr -pdv -o2 -eo.o -fs$(MODULE_OBJ_DIR) -fr$(MODULE_OBJ_DIR) $(INC_DIR) -mv6700 -D$(C672x_DERIVATIVE)

ti_c67_release_ASM=cl6x 
ti_c67_release_ASM_OPTS= -o2 -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -mv6700 --symdebug:coff


ti_c67_release_AR= ar6x
ti_c67_release_AR_OPTS= r 
ti_c67_release_LNK= lnk6x 
ti_c67_release_LNK_OPTS= -q -c -heap1000 -stack1000 -w -x 

ti_c67_CSL_LIB= csl_$(C672x_DERIVATIVE).lib
#ti_c67_RTS_LIB= carc3000.obj
ti_c67_RTS_LIB= rts6700.lib
ti_c67_CMD_LIB= carc3000.cmd
ti_c67_CSL_LIB_DIR= $(CSL3X_ROOT_DIR)\soc\$(TARGET)\$(CORE)
ti_c67_RTS_LIB_DIR= $(CSL3X_ROOT_DIR)\soc\$(TARGET)\$(CORE)\lib
ti_c67_CMD_LIB_DIR= $(CSL3X_ROOT_DIR)\soc\$(TARGET)\$(CORE)\lib

################ OS specific stuff ##########################
OSYS = WIN
WIN_RM_CMD=-@erase /Q
WIN_c67__COPY=copy
UNIX_RM_CMD=-\rm
UNIX_c67__COPY=\cp

############  Generic #################

CC= $($(CGTOOLS)_$(CORE)_$(BUILD)_CC)
CC_OPTS= $($(CGTOOLS)_$(CORE)_$(BUILD)_CC_OPTS)
ASM= $($(CGTOOLS)_$(CORE)_$(BUILD)_ASM)
ASM_OPTS= $($(CGTOOLS)_$(CORE)_$(BUILD)_ASM_OPTS)
AR= $($(CGTOOLS)_$(CORE)_$(BUILD)_AR)
AR_OPTS= $($(CGTOOLS)_$(CORE)_$(BUILD)_AR_OPTS)
LNK= $($(CGTOOLS)_$(CORE)_$(BUILD)_LNK)
LNK_OPTS= $($(CGTOOLS)_$(CORE)_$(BUILD)_LNK_OPTS)
COPY= -@$($(OSYS)_$(CORE)_$(BUILD)_COPY)
SRC_OPT= $($(CORE)_$(BUILD)_SRC_OPT)

SCATTER_FILE=mem.scf

ti_COFF= out
rvct_COFF=elf

LIB= $($(CGTOOLS)_$(CORE)_CSL_LIB_DIR)\$($(CGTOOLS)_$(CORE)_CSL_LIB) $($(CGTOOLS)_$(CORE)_RTS_LIB_DIR)\$($(CGTOOLS)_$(CORE)_RTS_LIB) $($(CGTOOLS)_$(CORE)_CMD_LIB_DIR)\$($(CGTOOLS)_$(CORE)_CMD_LIB)

COFF= $($(CGTOOLS)_COFF)
RM_CMD= $($(OSYS)_RM_CMD)
