/*  ============================================================================
 *  Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ===========================================================================
 */

/** @file csl_sysInit.c
 *
 *    @brief File for doing the CSL init
 *
 *  Description
 *    - The function CSL_sysInit is a function to check the releases and 
 *		corresponding patches
 *
 *  Modification 1
 *    - Modified on: 10/25/2005
 *    - Reason: created the sources
 * 
 *    @author GaneshK.

 *
 */


#include <tistdtypes.h>
#include <csl_types.h>
#include <csl_error.h>
#include <csl_version.h>


#pragma CODE_SECTION(CSL_sysInit, ".text:csl_section:sysInit");

CSL_Status 
    CSL_sysInit (
        void
)
{
    return CSL_SOK;
}



